mint-dev-tools (1.3.14) victoria; urgency=medium

  * Add support for Mint 21.2 Victoria

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Jan 2023 15:08:29 +0000

mint-dev-tools (1.3.13) vera; urgency=medium

  * Add 21.1 manifests
  * mint-get-browser: Add vera

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jan 2023 10:13:42 +0000

mint-dev-tools (1.3.12) vera; urgency=medium

  [ Michael Webster ]
  * Add python3-dbg and debuginfod.

  [ Clement Lefebvre ]
  * nemo actions: Remove quotes around %F

  [ Michael Webster ]
  * mint-get-browser: Allow getting the most recent beta without knowing the exact version.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jan 2023 10:08:22 +0000

mint-dev-tools (1.3.11) vera; urgency=medium

  [ Michael Webster ]
  * Add mint-icon-picker.
  * Search beta directories also. Get rid of tedious -b flag, just use the browser name as an argument.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 12:44:09 +0000

mint-dev-tools (1.3.10) vanessa; urgency=medium

  * Add a tool to test APT backends
  * mint-apt-backend-tester: Add limitations for pkit
  * mint-apt-backend-tester: Start implementing aptdaemon
  * Update manifests
  * mint-apt-backend-tester: Add pkit purge
  * Add support for Mint 21.1 Vera

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Sep 2022 09:35:03 +0100

mint-dev-tools (1.3.9) vanessa; urgency=medium

  [ Michael Webster ]
  * Add mint-get-browser.
  * Fix mint-perf-record setup.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Sep 2022 15:46:35 +0100

mint-dev-tools (1.3.8) vanessa; urgency=medium

  * Add a script to check missing/lower versions in Mint 21
  * Override dpkg-deb to force XZ compression

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Jun 2022 13:34:43 +0200

mint-dev-tools (1.3.7) vanessa; urgency=medium

  * Add latest manifests

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2022 11:18:15 +0100

mint-dev-tools (1.3.6) vanessa; urgency=medium

  [ Michael Webster ]
  * Add cinnamonitor applet.
  * Update bakunbak.
  * Add wininfo to recommends.

  [ Clement Lefebvre ]
  * Add support for Mint 21 Vanessa

 -- Clement Lefebvre <clem@macbook>  Tue, 19 Apr 2022 10:32:06 +0100

mint-dev-tools (1.3.5) una; urgency=medium

  [ Michael Webster ]
  * Add bak/unbak.

  [ Clement Lefebvre ]
  * Add support for LMDE 5 Elsie

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Jan 2022 17:01:47 +0000

mint-dev-tools (1.3.4) una; urgency=medium

  * Add support for Mint 20.3 Una

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 18 Nov 2021 15:14:20 +0000

mint-dev-tools (1.3.3) uma; urgency=medium

  [ Michael Webster ]
  * Add valgrind and ccache.
  * Add some helpful info to mint-valgrind.

  [ Clement Lefebvre ]
  * Update manifests

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jul 2021 11:15:10 +0100

mint-dev-tools (1.3.2) uma; urgency=medium

  * Add 20.2 to list of 64-bit only releases

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 31 May 2021 15:13:27 +0100

mint-dev-tools (1.3.1) uma; urgency=medium

  * Don't build i386 for mint20.1
  * Add a nemo action to add a shadow to pictures
  * Revert "Remove obsolete manifests"
  * Add a tool to check usrmerge conflicts
  * mint-check-usrmerge: Ignore comment lines
  * Add meson as recommends
  * Remove obsolete mint-dev-build
  * Add support for Mint 20.2 Uma
  * Remove chromium report
  * Add Mint 20.1 manifests
  * Add Ubuntu 20.04.1 and 20.04.2 manifests

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 31 May 2021 14:59:14 +0100

mint-dev-tools (1.3.0) ulyssa; urgency=medium

  [ Michael Webster ]
  * generate-gobject-class: Clarify parent class argument.
  * Add gnome-api-docs to recommends.
  * Add chromium update checker.
  * chromium reporter: Fix a few issues with actions.

  [ Clement Lefebvre ]
  * Add support for ulyssa

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Nov 2020 12:07:03 +0000

mint-dev-tools (1.2.9) ulyana; urgency=medium

  [ Michael Webster ]
  * mint-check-translations: Rename async to _async.

  [ Clement Lefebvre ]
  * Add latest manifests
  * Remove obsolete manifests

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 18 Jul 2020 11:56:59 +0100

mint-dev-tools (1.2.8) ulyana; urgency=medium

  * Add 20.04 manifest
  * Remove pinned packages and FF reports

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 05 May 2020 17:55:45 +0100

mint-dev-tools (1.2.7) ulyana; urgency=medium

  * Add support for Mint 20
  * Don't build for 32-bit in Mint 20

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 02 Apr 2020 12:31:19 +0100

mint-dev-tools (1.2.6) ulyana; urgency=medium

  [ Clement Lefebvre ]
  * mint-check-translations: Forbid weird characters
  * mint-docker-build-from-git: Fix nemo-extensions build
  * mint-docker-build-from-git: Add support for Mint 18
  * mint-build: Use a build-order file if provided

  [ erwn16 ]
  * mint-check-translations: polib.py not found

  [ Nikolay Nechaev ]
  * mint-dev-setup ssh key generation update
  * mint-dev-setup looking for default ssh key, when using an existing one

  [ Clement Lefebvre ]
  * Add manifests for 20.04 daily
  * Remove gdebi-core from dependencies

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 01 Apr 2020 20:20:01 +0100

mint-dev-tools (1.2.5) tricia; urgency=medium

  [ Michael Webster ]
  * mint-check-translations: Look for and flag occurrences of '&nbsp'.

  [ Clement Lefebvre ]
  * Add 19.3 BETA manifests

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Dec 2019 10:38:20 +0000

mint-dev-tools (1.2.4) tricia; urgency=medium

  * Add a mintreport report to detect new upstream versions of Firefox
  * Add a mintreport report to detect pinned updates
  * Add support for Mint 19.3 tricia
  * Add 19.2 manifests
  * mint-docker-build-from-git: Build 64bit first, fix cleanup
  * Mintreport: Show all pinned updates
  * Mintreport: Use callback data to implement multiple actions
  * Add 18.04.3 manifest
  * Add build support for debbie

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Nov 2019 11:33:35 +0100

mint-dev-tools (1.2.3) tina; urgency=medium

  [ Clement Lefebvre ]
  * mint-search-manifests: Allow to specify a release
  * Add Mint 19.1 manifests

  [ Stephen Collins ]
  * Add a script to generate the files for a gobject subclass (#19)

  [ Clement Lefebvre ]
  * Add support for 19.2

  [ Stephen Collins ]
  * mint-build: add options for prs, temp files, and copying debs (#17)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 30 Jun 2019 16:08:46 +0200

mint-dev-tools (1.2.2) tessa; urgency=medium

  * cinnamon-stats-tracker: Flush when writing to file
  * cinnamon-stats-tracker: Track more stats
  * cinnamon-stats-tracker: Fix cpu_num != num_cpu :)
  * cinnamon-stats-tracker: Fix compatibility with older releases

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 11 Jan 2019 16:32:41 +0000

mint-dev-tools (1.2.1) tessa; urgency=medium

  * Packaging: Add dependency on python3-psutil
  * cinnamon-stats-tracker: Parse .xsession-errors instead of glass.log
  * mint-dev-settings: Ditch XappSidebar

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 11 Jan 2019 10:18:50 +0000

mint-dev-tools (1.2.0) tessa; urgency=medium

  * mint-compare-releases: Add support for cindy, tara and tessa
  * Add a script to build git projects in the same image
  * Add cinnamon-stats-tracker and mint-dev-settings

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jan 2019 17:03:33 +0000

mint-dev-tools (1.1.9) tessa; urgency=medium

  * Update manifests

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 10 Sep 2018 10:42:26 +0100

mint-dev-tools (1.1.8) tessa; urgency=medium

  * mint-docker-build: Use the local version of /usr/bin/mint-build in the docker container and pass local ssh configuration
  * Add manifests for Ubuntu 18.04
  * Add mint-docker-build-packages
  * Update manifests
  * Add Mint 19 BETA manifests
  * Add a Nemo action to make thumbnails
  * mint-docker-build-packages: Change the build order
  * mint-search-manifest: Accept space and tabs as delimiters
  * Manifests: Add debian-live-9.4.0-cinnamon
  * mint-search-manifests: Add a debian type
  * mint-build: Add the ability to build a branch or a tag
  * mint-docker-build-packages: Add support for Betsy and Tessa

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 10 Sep 2018 10:08:21 +0100

mint-dev-tools (1.1.7) sylvia; urgency=medium

  * mint-docker-build: pass parent directory (needed for quilt builds)
  * mint-docker-build: Small fix
  * Add manifests for 18.04-daily
  * mint-build, mint-docker build improvements

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Feb 2018 15:47:49 +0000

mint-dev-tools (1.1.6) sylvia; urgency=medium

  * mint-build: Add support for version suffix
  * Add mint-docker-build

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 14 Jan 2018 23:05:42 +0000

mint-dev-tools (1.1.5) sylvia; urgency=medium

  * mint-build: Propagate errors to caller

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Jan 2018 01:07:38 +0000

mint-dev-tools (1.1.4) sylvia; urgency=medium

  * mint-build: Try to install dependencies when installing locally built debs

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 11 Jan 2018 22:40:17 +0000

mint-dev-tools (1.1.3) sylvia; urgency=medium

  * Add mint-build

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 11 Jan 2018 21:47:15 +0000

mint-dev-tools (1.1.2) sylvia; urgency=medium

  * mint-check-translations: Switch back to python2

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Jan 2018 13:47:10 +0000

mint-dev-tools (1.1.1) sylvia; urgency=medium

  * Add missing dependency on python3-polib

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2017 19:40:00 +0000

mint-dev-tools (1.1.0) sylvia; urgency=medium

  [ Jason Hicks ]
  * Add Nemo extensions (#13)

  [ Clement Lefebvre ]
  * Add mint-check-translations (mocheck from mint-translations)
  * mint-check-translations: Fix usage()
  * mint-check-translations: Port to Python 3
  * mint-check-translations: Switch to argparse and add a directory argument.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Dec 2017 14:00:08 +0000

mint-dev-tools (1.0.9) sylvia; urgency=medium

  [ Jason Hicks ]
  * mint-dev-build: Add xapps (#9)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Oct 2017 13:27:50 +0100

mint-dev-tools (1.0.8) sonya; urgency=medium

  * Add manifests for 18.1
  * Add manifests for 16.04.2
  * Add manifests for 18.2
  * mint-compare-releases: Add sonya
  * mint-compare-releases: Improve output style

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Jul 2017 10:56:41 +0200

mint-dev-tools (1.0.7) sonya; urgency=medium

  * Update manifests
  * Format and filter results in mint-search-manifests
  * mint-compare-releases: Compare across all components (and include backports)
  * mint-compare-releases: Add support for sarah/serena

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 07 May 2017 16:52:28 +0100

mint-dev-tools (1.0.6) serena; urgency=medium

  * mint-compare-manifests: Use ubuntu as prefix for Ubuntu variants
  * mint-compare-releases: Fix print statement in python3
  * Added Mint 18 KDE manifests

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Nov 2016 14:13:52 +0000

mint-dev-tools (1.0.5) sarah; urgency=medium

  * Added manifests for Ubuntu 16.04
  * Added manifests for 16.04 variants

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Apr 2016 10:10:36 +0100

mint-dev-tools (1.0.4) sarah; urgency=medium

  [ Clement Lefebvre ]
  * Don't filter lts/arch packages during search
  * Extend mint-compare-releases to also compare upstream and import components
  * mint-compare-releases: Use package lists
  * Show more info in mint-compare-releases
  * Added manifests for recent releases
  * Blueberry is no longer LMDE-specific

  [ Daniel Alley ]
  * PEP8 Formatting
  * convert to Python3
  * Added mtwebster's dev-setup changes - specify sandbox folder, specify compilation threads
  * added build support for user-specified threads, user-specified sandbox location

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Feb 2016 11:38:51 +0000

mint-dev-tools (1.0.3) rosa; urgency=medium

  * Moved dependencies not required to build projects to recommends
  * Added mint-compare-releases (compares versions of packages across Mint releases)
  * mint-compare-releases: Added ia32-libs to list of specific pkgs
  * mint-compare-releases: Added plymouth-themes-mint to the list of LMDE-specific packages
  * mint-compare-releases: Don't compare GTK3-related packages between Mint and LMDE
  * Added a manifest comparator (incomplete)
  * Updated manifests and compare tool
  * Added mint-search-manifest, added more manifests
  * Added 17.2 manifests

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Nov 2015 16:43:31 +0000

mint-dev-tools (1.0.2) rebecca; urgency=medium

  * lower-cased Cinnamon project

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Mar 2015 16:04:21 +0100

mint-dev-tools (1.0.1) rebecca; urgency=medium

  * Added /usr/bin/mint-dev-setup
  * Added gnome-dbg
  * Added devhelp and glade
  * Added more tools
  * Added mint-dev-build, fixed indentation and a few things in mint-dev-setup
  * mint-dev-build: Added simple projects, sorted list, don't exlude last element

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Mar 2015 14:59:13 +0100

mint-dev-tools (1.0.0) rebecca; urgency=low

  * Initial release

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  25 Mar 2015 10:54:00 +0000

